## org.apache.fop.dom.svg
Class SVGAnimatedRectImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGAnimatedRectImpl

public class SVGAnimatedRectImpl
extends java.lang.Object
implements org.w3c.dom.svg.SVGAnimatedRect

Constructor Summary
`SVGAnimatedRectImpl(org.w3c.dom.svg.SVGRect r)`

Method Summary
`org.w3c.dom.svg.SVGRect` `getAnimVal()`
`org.w3c.dom.svg.SVGRect` `getBaseVal()`
`void` `setBaseVal(org.w3c.dom.svg.SVGRect baseVal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAnimatedRectImpl

    public SVGAnimatedRectImpl(org.w3c.dom.svg.SVGRect r)

Method Detail

### getBaseVal

    public org.w3c.dom.svg.SVGRect getBaseVal()

  Specified by:
    getBaseVal in interface org.w3c.dom.svg.SVGAnimatedRect

### setBaseVal

    public void setBaseVal(org.w3c.dom.svg.SVGRect baseVal)

### getAnimVal

    public org.w3c.dom.svg.SVGRect getAnimVal()

  Specified by:
    getAnimVal in interface org.w3c.dom.svg.SVGAnimatedRect

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.